summaryrefslogtreecommitdiffstats
path: root/bin/isolated-functions.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-12-19 03:59:06 +0000
committerZac Medico <zmedico@gentoo.org>2009-12-19 03:59:06 +0000
commitbe3b371eb3ece4bb0582d960778dc351f87e775d (patch)
tree9265d8ae4d46b9cf40c579860e8e56068bed1a8c /bin/isolated-functions.sh
parentd838bd5dd63892b962858ff08ace5fcc0f2d418f (diff)
downloadportage-be3b371eb3ece4bb0582d960778dc351f87e775d.tar.gz
portage-be3b371eb3ece4bb0582d960778dc351f87e775d.tar.bz2
portage-be3b371eb3ece4bb0582d960778dc351f87e775d.zip
Revert previous commit because it's no comptible (doesn't pass arguments to
die). svn path=/main/trunk/; revision=15120
Diffstat (limited to 'bin/isolated-functions.sh')
-rwxr-xr-xbin/isolated-functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 719e32fae..893ce57ba 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -5,7 +5,7 @@
# We need this next line for "die" and "assert". It expands
# It _must_ preceed all the calls to die and assert.
shopt -s expand_aliases
-alias assert='for _pipestatus in ${PIPESTATUS[*]} ; do [ $_pipestatus -eq 0 ] || die ; done'
+alias assert='_pipestatus="${PIPESTATUS[*]}"; [[ "${_pipestatus// /}" -eq 0 ]] || die'
alias save_IFS='[ "${IFS:-unset}" != "unset" ] && old_IFS="${IFS}"'
alias restore_IFS='if [ "${old_IFS:-unset}" != "unset" ]; then IFS="${old_IFS}"; unset old_IFS; else unset IFS; fi'